# Obsidian Templates

This is a collection of [Obsidian](https://obsidian.md/) templates I use or have used. Most of these use Templater (and its "Trigger on file creation" feature) but I'll list the plugins used for each one in the [overview below](#overview). You might also need to adjust folder paths and file names used in the Templater scripts. I've translated some metadata field names to English for readability.

## Overview

- [book.md](book.md)
  - Add a book to your vault
  - Plugins: Templater, Book Search
- [callouts.md](callouts.md)
  - Choose one of the default callouts to insert at your cursor
  - Plugins: Templater
- [include.md](include.md)
  - Insert the content of a note at your cursor
  - Plugins: Templater
- [lecture.md](lecture.md)
  - Create a lecture (session) note
  - Plugins: Templater
- [meeting.md](meeting.md)
  - Create a meeting note for today/yesterday/tomorrow, select a project from a folder
  - Plugins: Templater
- [movie.md](movie.md)
  - Similar to the book template, add a movie (or TV show) to your vault
  - Plugins: Templater, QuickAdd (plus this script and the setup for it: <https://quickadd.obsidian.guide/docs/Examples/Macro_MovieAndSeriesScript>)
- [open-daily.md](open-daily.md)
  - Open today's daily note (extremely basic, no error handling)
  - Plugins: Templater
- [wikilink.md](wikilink.md)
  - Insert a wikilink to a note
  - Plugins: Templater
- [workbench.md](workbench.md)
  - Adds the current selection to a "workbench" note as a bullet point with today's date
  - Plugins: Templater, Workbench (optional)
- [youtube.md](youtube.md)
  - Gets metadata from a YouTube video and embeds it, works by copying the video ID to the clipboard
  - Plugins: Templater
- [zettel.md](zettel.md)
  - Basic Zettelkasten template, asks for the type of the Zettel (I differentiate claims from concepts and questions)
  - Plugins: Templater
- [zotero.md](zotero.md)
  - Create a literature note from a Zotero item, pulling some metadata and all your PDF annotations
  - Plugins: Zotero Integration
